Google OAuth - Get Authorization URL
curl --request GET \
--url https://api.app.shinzo.ai/auth/oauth/google \
--header 'Authorization: Bearer <token>'Authentication
Google OAuth - Get Authorization URL
Get the Google OAuth authorization URL to initiate sign-in.
GET
/
auth
/
oauth
/
google
Google OAuth - Get Authorization URL
curl --request GET \
--url https://api.app.shinzo.ai/auth/oauth/google \
--header 'Authorization: Bearer <token>'Authentication
No authentication required.Query Parameters
string
URL to redirect after successful authentication.
Example Request
curl -X GET "https://api.app.shinzo.ai/auth/oauth/google?returnTo=https://app.shinzo.ai/dashboard"
Response
{
"url": "https://accounts.google.com/o/oauth2/v2/auth?client_id=...&redirect_uri=...&scope=..."
}
Status Codes
| Code | Description |
|---|---|
200 | Authorization URL returned |

